package com.me.common;

public abstract class Screen {

    private Renderer renderer;

    public abstract void setup();

    public abstract void update(float dt);

    public abstract void dispose();

    public void setRenderer(Renderer renderer) {
        this.renderer = renderer;
    }

    public void render() {
        if (renderer != null) {
            renderer.render();
        }
    }

}
